<?php
/**
 * Perforce Swarm
 *
 * @copyright   2013-2019 Perforce Software. All rights reserved.
 * @license     Please see LICENSE.txt in top-level readme folder of this distribution.
 * @version     2019.1/1829459
 */

namespace Groups\Listener;

use Events\Listener\AbstractEventListener;
use Zend\EventManager\Event;

class GroupsListener extends AbstractEventListener
{

    // invalidate group cache on group form-commits and deletes
    public function onGroup(Event $event)
    {
        $p4Admin = $this->services->get('p4_admin');

        try {
            $cache = $p4Admin->getService('cache');
            $cache->invalidateItem('groups');
        } catch (\Exception $e) {
            $this->services->get('logger')->err($e);
        }
    }
}
